# ch14_18.py
# ch14_4.py
import os

#InputDir = "D:\Python_jdwang\Temp"
#InputFileName = "TDCS_M06A_20210224_180000.csv"
#InputDir = "D:\Python_jdwang\Temp\201701_1-1"
InputDir = "D:\\Python_jdwang\\Temp\\201701_1-1"
#InputFileName = "TDCS_M06A_20170101_000000.csv"
#InputFileName = "TDCS_M06A_20170101_010000.csv"
InputFileName = "TDCS_M06A_20170101_020000.csv"

#fn = 'D:\Python_jdwang\Temp\TDCS_M06A_20210224_180000.csv' 
# ch14_9.py
fn = os.path.join(InputDir, InputFileName)

VehicleTypes= {"31":0, "32":0, "41":0, "42":0, "5":0}

GantryID = "03F2100S"

cnt = 0  
with open(fn) as file_Obj:  
    for line in file_Obj:   
        #31,2021-02-24 18:10:37,03F0698S,2021-02-24 18:18:52,03F0846S,22.000,Y,2021-02-24 18:10:37+03F0698S; 2021-02-24 18:15:20+03F0783S; 2021-02-24 18:18:52+03F0846S
        Items = line.split(',')
        #if (Items[2].find('03F2100S') != -1):
        if (Items[2].find(GantryID) != -1):
            #print(str(cnt)+ "=>"+line)        
            cnt = cnt+1
            VT = Items[0] 
            VehicleTypes[VT] = VehicleTypes[VT] + 1
        
print(cnt)
print("31=>"+str(VehicleTypes["31"]))
print("32=>"+str(VehicleTypes["32"]))
print("41=>"+str(VehicleTypes["41"]))
print("42=>"+str(VehicleTypes["42"]))
print("5=>"+str(VehicleTypes["5"]))

#fn = 'd:/940100540_jdwang_TDCS_M06A_20210224_03F2100S_1.txt'
#fn = 'd:/940100540_jdwang_TDCS_M06A_20210224_03F2100S_2.txt'
OutPutDir = "d:/TDCS_06A"
if (os.path.exists(OutPutDir)):
    print("Existed => "+OutPutDir)
else:
    os.mkdir(OutPutDir)
    print("Create => "+OutPutDir)

ID = "940100540_jdwang"
#InputfileName = "TDCS_M06A_20210224_180000"
OutputfileName = InputFileName[:25]
Date = InputFileName[10:18]
Hour = InputFileName[19:21]
Version = "V5"
#fn = 'd:/940100540_jdwang_TDCS_M06A_20210224_03F2100S_1.txt'
#fn = 'd:/940100540_jdwang_TDCS_M06A_20210224_03F2100S_2.txt'
# ch14_9.py
fn = os.path.join(OutPutDir, ID+"_"+OutputfileName+"_"+Version+".txt")
#with open(fn, 'w') as file_Obj:

if (os.path.exists(fn)):
    with open(fn, 'a') as file_Obj:
        #file_Obj.write("Date"+"\t"+"Hour"+"\t"+"GantryID"+"\t"+"31"+"\t"+"32"+"\t"+"41"+"\t"+"42"+"\t""5"+"\n")
        
        #file_Obj.write("20210224"+"\t")
        #file_Obj.write("18"+"\t")
        #file_Obj.write("03F2100S"+"\t")
        file_Obj.write(Date+"\t")
        file_Obj.write(Hour+"\t")
        file_Obj.write(GantryID+"\t")
        file_Obj.write(str(VehicleTypes["31"])+"\t")
        file_Obj.write(str(VehicleTypes["32"])+"\t")
        file_Obj.write(str(VehicleTypes["41"])+"\t")
        file_Obj.write(str(VehicleTypes["42"])+"\t")
        file_Obj.write(str(VehicleTypes["5"])+"\n")
else:
    with open(fn, 'w') as file_Obj:
        file_Obj.write("Date"+"\t"+"Hour"+"\t"+"GantryID"+"\t"+"31"+"\t"+"32"+"\t"+"41"+"\t"+"42"+"\t""5"+"\n")
        
        file_Obj.write("20210224"+"\t")
        file_Obj.write("18"+"\t")
        file_Obj.write("03F2100S"+"\t")
        file_Obj.write(str(VehicleTypes["31"])+"\t")
        file_Obj.write(str(VehicleTypes["32"])+"\t")
        file_Obj.write(str(VehicleTypes["41"])+"\t")
        file_Obj.write(str(VehicleTypes["42"])+"\t")
        file_Obj.write(str(VehicleTypes["5"])+"\n")
    